[package]
name = "cyber_rider"
version = "0.1.0"
edition = "2021"

[dependencies]
rand = "0.8"
bevy_polyline = "0.4"
noise = { git = "https://github.com/Razaekel/noise-rs" }
hexasphere = "7"
wgpu = "0.14"
bevy-inspector-egui = "0.17.0"
# wgpu = "0.12"

[features]
inspector = []

[dependencies.bevy]
version = "0.9"
default-features = false
features = [
  "bevy_gilrs",
  "bevy_winit",
  "render",
  "png",
  "hdr",
  "x11",
]

[dependencies.bevy_rapier3d]
features = ["debug-render-3d"]
version = "0.20"

# Maybe also enable only a small amount of optimization for our code:
[profile.dev]
opt-level = 1

# Enable optimizations for dependencies (incl. Bevy), but not for our code:
[profile.dev.package."*"]
opt-level = 3
